package com.realnet.forma.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.forma.Entity.Testm;
import com.realnet.forma.Services.TestmService ;
















@RequestMapping(value = "/Testm")
 @CrossOrigin("*") 
@RestController
public class TestmController {
	@Autowired
	private TestmService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Testm")
		  public Testm Savedata(@RequestBody Testm data) {
		Testm save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testm/{id}")
	public  Testm update(@RequestBody Testm data,@PathVariable Integer id ) {
		Testm update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testm/getall/page")
	public Page<Testm> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testm> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testm")
	public List<Testm> getdetails() {
		 List<Testm> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testm")
	public List<Testm> getallwioutsec() {
		 List<Testm> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testm/{id}")
	public  Testm  getdetailsbyId(@PathVariable Integer id ) {
		Testm  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testm/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}